
From: Andrew Morton <akpm@osdl.org>

Work around gcc-2.95.x macro expansion bug.

(This code is excrutiatingly painful to work on in an 80-col xterm, y'know)

Cc: Manu Abraham <manu@linuxtv.org>
Cc: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/dvb/bt8xx/dst.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/media/dvb/bt8xx/dst.c~dvb-dst-dprrintk-cleanup-gcc-29x-fix drivers/media/dvb/bt8xx/dst.c
--- devel/drivers/media/dvb/bt8xx/dst.c~dvb-dst-dprrintk-cleanup-gcc-29x-fix	2005-09-06 22:40:00.000000000 -0700
+++ devel-akpm/drivers/media/dvb/bt8xx/dst.c	2005-09-06 22:40:00.000000000 -0700
@@ -52,11 +52,11 @@ MODULE_PARM_DESC(dst_addons, "CA daughte
 		if	((x > DST_ERROR) && (x > y))					\
 			printk(KERN_ERR "%s: " format "\n", __FUNCTION__ , ##arg);	\
 		else if	((x > DST_NOTICE) && (x > y))					\
-			printk(KERN_NOTICE "%s: " format "\n", __FUNCTION__, ##arg);	\
+			printk(KERN_NOTICE "%s: " format "\n", __FUNCTION__ , ##arg);	\
 		else if ((x > DST_INFO) && (x > y))					\
-			printk(KERN_INFO "%s: " format "\n", __FUNCTION__, ##arg);	\
+			printk(KERN_INFO "%s: " format "\n", __FUNCTION__ , ##arg);	\
 		else if ((x > DST_DEBUG) && (x > y))					\
-			printk(KERN_DEBUG "%s: " format "\n", __FUNCTION__, ##arg);	\
+			printk(KERN_DEBUG "%s: " format "\n", __FUNCTION__ , ##arg);	\
 	} else {									\
 		if (x > y)								\
 			printk(format, ##arg);						\
_
